/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.html.image $Revision: 1.2 $

*/
dojo.provide('epages.html.image');
dojo.require('epages.html');

epages.html.image = {
	resize : function (image, previewwidth, previewheight) {
		var width  = image.offsetWidth;
		var height = image.offsetHeight;
		if (image.naturalWidth) {
			width  = image.naturalWidth;
			height = image.naturalHeight;
		}
		if (width < previewwidth && height < previewheight) {
			image.style.width  = '';
			image.style.height = '';
			return;
		}
		var ratio = width / height;
		if (previewwidth < Math.round(previewheight * ratio)) {
			image.style.width  = previewwidth;
			image.style.height = '';
		}
		else if (previewheight < Math.round(previewwidth / ratio)) {
			image.style.height = previewheight;
			image.style.width  = '';
		}
	}
};
